| FFmpegKit Linux API 6.0

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes
CallbackData Class Reference

## Public Member Functions
| CallbackData (const long sessionId, const int logLevel, const AVBPrint *data)
| CallbackData (const long sessionId, const int videoFrameNumber, const float videoFps, const float videoQuality, const int64_t size, const double time, const double bitrate, const double speed)
CallbackType | getType ()
long | getSessionId ()
int | getLogLevel ()
AVBPrint * | getLogData ()
int | getStatisticsFrameNumber ()
float | getStatisticsFps ()
float | getStatisticsQuality ()
int64_t | getStatisticsSize ()
double | getStatisticsTime ()
double | getStatisticsBitrate ()
double | getStatisticsSpeed ()

## Private Attributes
CallbackType | _type
long | _sessionId
int | _logLevel
AVBPrint | _logData
int | _statisticsFrameNumber
float | _statisticsFps
float | _statisticsQuality
int64_t | _statisticsSize
double | _statisticsTime
double | _statisticsBitrate
double | _statisticsSpeed

## Detailed Description

Callback data class.

Definition at line 188 of file FFmpegKitConfig.cpp.

## Constructor & Destructor Documentation

## ◆ CallbackData() [1/2]

CallbackData::CallbackData | ( | const long | sessionId,
|  | const int | logLevel,
|  | const AVBPrint * | data
| ) |  |
| inline

Definition at line 190 of file FFmpegKitConfig.cpp.

## ◆ CallbackData() [2/2]

CallbackData::CallbackData | ( | const long | sessionId,
|  | const int | videoFrameNumber,
|  | const float | videoFps,
|  | const float | videoQuality,
|  | const int64_t | size,
|  | const double | time,
|  | const double | bitrate,
|  | const double | speed
| ) |  |
| inline

Definition at line 196 of file FFmpegKitConfig.cpp.

## Member Function Documentation

## ◆ getLogData()

AVBPrint * CallbackData::getLogData | ( |  | ) |
| inline

Definition at line 227 of file FFmpegKitConfig.cpp.

## ◆ getLogLevel()

int CallbackData::getLogLevel | ( |  | ) |
| inline

Definition at line 223 of file FFmpegKitConfig.cpp.

## ◆ getSessionId()

long CallbackData::getSessionId | ( |  | ) |
| inline

Definition at line 219 of file FFmpegKitConfig.cpp.

## ◆ getStatisticsBitrate()

double CallbackData::getStatisticsBitrate | ( |  | ) |
| inline

Definition at line 251 of file FFmpegKitConfig.cpp.

## ◆ getStatisticsFps()

float CallbackData::getStatisticsFps | ( |  | ) |
| inline

Definition at line 235 of file FFmpegKitConfig.cpp.

## ◆ getStatisticsFrameNumber()

int CallbackData::getStatisticsFrameNumber | ( |  | ) |
| inline

Definition at line 231 of file FFmpegKitConfig.cpp.

## ◆ getStatisticsQuality()

float CallbackData::getStatisticsQuality | ( |  | ) |
| inline

Definition at line 239 of file FFmpegKitConfig.cpp.

## ◆ getStatisticsSize()

int64_t CallbackData::getStatisticsSize | ( |  | ) |
| inline

Definition at line 243 of file FFmpegKitConfig.cpp.

## ◆ getStatisticsSpeed()

double CallbackData::getStatisticsSpeed | ( |  | ) |
| inline

Definition at line 255 of file FFmpegKitConfig.cpp.

## ◆ getStatisticsTime()

double CallbackData::getStatisticsTime | ( |  | ) |
| inline

Definition at line 247 of file FFmpegKitConfig.cpp.

## ◆ getType()

CallbackType CallbackData::getType | ( |  | ) |
| inline

Definition at line 215 of file FFmpegKitConfig.cpp.

## Field Documentation

## ◆ _logData

AVBPrint CallbackData::_logData
| private

Definition at line 264 of file FFmpegKitConfig.cpp.

## ◆ _logLevel

int CallbackData::_logLevel
| private

Definition at line 263 of file FFmpegKitConfig.cpp.

## ◆ _sessionId

long CallbackData::_sessionId
| private

Definition at line 261 of file FFmpegKitConfig.cpp.

## ◆ _statisticsBitrate

double CallbackData::_statisticsBitrate
| private

Definition at line 271 of file FFmpegKitConfig.cpp.

## ◆ _statisticsFps

float CallbackData::_statisticsFps
| private

Definition at line 267 of file FFmpegKitConfig.cpp.

## ◆ _statisticsFrameNumber

int CallbackData::_statisticsFrameNumber
| private

Definition at line 266 of file FFmpegKitConfig.cpp.

## ◆ _statisticsQuality

float CallbackData::_statisticsQuality
| private

Definition at line 268 of file FFmpegKitConfig.cpp.

## ◆ _statisticsSize

int64_t CallbackData::_statisticsSize
| private

Definition at line 269 of file FFmpegKitConfig.cpp.

## ◆ _statisticsSpeed

double CallbackData::_statisticsSpeed
| private

Definition at line 272 of file FFmpegKitConfig.cpp.

## ◆ _statisticsTime

double CallbackData::_statisticsTime
| private

Definition at line 270 of file FFmpegKitConfig.cpp.

## ◆ _type

CallbackType CallbackData::_type
| private

Definition at line 260 of file FFmpegKitConfig.cpp.

The documentation for this class was generated from the following file:

- FFmpegKitConfig.cpp